'use strict';

var Client = {
  connect: function client_init() {
    this.client = navigator.mozTCPSocket.open(
      '127.0.0.1', 56789, {binaryType: 'arraybuffer'}
    );
    this.client.onclose = function client_onclose(evt) {
      console.log('onclose');
      Client.close();
    };
    this.client.ondata = function client_ondata(evt) {
      var array = new Uint8Array(evt.data);
      var str = '';
      for (var i = 0; i < array.length; i++) {
        str += String.fromCharCode(array[i]);
      }
      console.log('str=' + str);
    };
  },

  close: function client_close() {
    console.log('close start');
    if (this.client) {
      this.client.close();
      this.client = null;
      console.log('close end');
    }
  }
};

window.addEventListener('load', function window_load() {
  var connect = document.getElementById('connect');
  connect.addEventListener('click', function click_connect() {
    console.log('connect');
    Client.connect();
  });

  var reload = document.getElementById('reload');
  reload.addEventListener('click', function click_reload() {
    console.log('reload');
    location.reload();
  });
});
